Skip to main content
POST
/
message
/
sendText
/
{instance}
Send Text
curl --request POST \
  --url https://api.zapthinker.com/message/sendText/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "number": "<string>",
  "text": "<string>",
  "delay": 123,
  "linkPreview": true,
  "mentionsEveryOne": true,
  "mentioned": [
    "{{remoteJID}}"
  ],
  "quoted": {
    "key": {
      "id": "<string>"
    },
    "message": {
      "conversation": "<string>"
    }
  }
}
'
{
  "key": {
    "remoteJid": "553198296801@s.whatsapp.net",
    "fromMe": true,
    "id": "BAE594145F4C59B4"
  },
  "message": {
    "extendedTextMessage": {
      "text": "Olá!"
    }
  },
  "messageTimestamp": "1717689097",
  "status": "PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

Body

application/json
number
string
required

Number to receive the message (with country code)

text
string
required

Test message to send

delay
integer

Presence time in milliseconds before sending message

Shows a preview of the target website if there's a link within the message

mentionsEveryOne
boolean

Mentioned everyone when the message send

mentioned
enum<string>[]

Numbers to mention

Available options:
{{remoteJID}}
quoted
object

Response

201 - application/json

Created

key
object
message
object
messageTimestamp
string

The timestamp of the message.

status
string

The status of the message.